### Hierarchy

- LocalStorageAdapter

### Implements

- Storage

## Index

### Constructors

- constructor

### Properties

- api

### Methods

- clearAll
- getAllKeys
- getItem
- getJson
- multiRemove
- removeItem
- setItem
- setJson

## Constructors

### constructor

- new LocalStorageAdapter(api: any): LocalStorageAdapter

- - Defined in storage/ClientStorage.ts:116

  #### Parameters

  - ##### api: any

  #### Returns LocalStorageAdapter

## Properties

### api

api: any

- Defined in storage/ClientStorage.ts:118

## Methods

### clearAll

- clearAll(): Promise<void>

- Implementation of Storage.clearAll

  - Defined in storage/ClientStorage.ts:172

  #### Returns Promise<void>

### getAllKeys

- getAllKeys(): Promise<string[]>

- Implementation of Storage.getAllKeys

  - Defined in storage/ClientStorage.ts:182

  #### Returns Promise<string[]>

### getItem

- getItem(key: string): Promise<string>

- Implementation of Storage.getItem

  - Defined in storage/ClientStorage.ts:120

  #### Parameters

  - ##### key: string

  #### Returns Promise<string>

### getJson

- getJson(key: string): Promise<any>

- Implementation of Storage.getJson

  - Defined in storage/ClientStorage.ts:131

  #### Parameters

  - ##### key: string

  #### Returns Promise<any>

### multiRemove

- multiRemove(keys: Array<string>): Promise<void>

- Implementation of Storage.multiRemove

  - Defined in storage/ClientStorage.ts:196

  #### Parameters

  - ##### keys: Array<string>

  #### Returns Promise<void>

### removeItem

- removeItem(key: string): Promise<void>

- Implementation of Storage.removeItem

  - Defined in storage/ClientStorage.ts:162

  #### Parameters

  - ##### key: string

  #### Returns Promise<void>

### setItem

- setItem(key: string, value: string): Promise<void>

- Implementation of Storage.setItem

  - Defined in storage/ClientStorage.ts:141

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns Promise<void>

### setJson

- setJson(key: string, value: any): Promise<void>

- Implementation of Storage.setJson

  - Defined in storage/ClientStorage.ts:151

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns Promise<void>

Generated using TypeDoc